Package org.kapott.hbci.GV_Result

## Class GVRStatus.Entry

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRStatus.Entry

Enclosing class:
  GVRStatus

    public static class GVRStatus.Entry
    extends java.lang.Object

Daten für einen einzelnen Eintrag im Statusprotokoll. Ein Eintrag enthält Informationen zu genau einem eingereichten Auftrag

### Field Summary

Fields
`java.lang.String` `dialogid` Dialog-ID, mit der der Auftrag eingereicht wurde
`java.lang.String` `msgnum` Nachrichtennummer innerhalb des Dialoges, in dem der Auftrag eingereicht wurde
`HBCIRetVal` `retval` Status (ein HBCI-Returncode) des Auftrages
`java.util.Date` `timestamp` Zeitpunkt der Einreichung

### Constructor Summary

Constructors
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getJobId()` Gibt die Job-ID des Jobs zurück, zu dem dieser Statusprotokolleintrag gehört.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dialogid

    public java.lang.String dialogid

Dialog-ID, mit der der Auftrag eingereicht wurde

#### msgnum

    public java.lang.String msgnum

Nachrichtennummer innerhalb des Dialoges, in dem der Auftrag eingereicht wurde

#### timestamp

    public java.util.Date timestamp

Zeitpunkt der Einreichung

#### retval

    public HBCIRetVal retval

Status (ein HBCI-Returncode) des Auftrages

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### getJobId

    public java.lang.String getJobId()

Gibt die Job-ID des Jobs zurück, zu dem dieser Statusprotokolleintrag gehört.

Returns:
  Job-ID

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`